From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-cpp/abseil-cpp/
Date: Fri, 2 Apr 2021 03:04:24 +0000 (UTC) [thread overview]
Message-ID: <1617332643.52e688d1d7bfe2bdff04069eeec217f0a6936551.gyakovlev@gentoo> (raw)
commit: 52e688d1d7bfe2bdff04069eeec217f0a6936551
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 2 02:49:50 2021 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Apr 2 03:04:03 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52e688d1
dev-cpp/abseil-cpp: bump to 20210324.0
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
dev-cpp/abseil-cpp/Manifest | 1 +
dev-cpp/abseil-cpp/abseil-cpp-20210324.0.ebuild | 74 +++++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/dev-cpp/abseil-cpp/Manifest b/dev-cpp/abseil-cpp/Manifest
index f9ff8083fe1..e54f7e4a9ae 100644
--- a/dev-cpp/abseil-cpp/Manifest
+++ b/dev-cpp/abseil-cpp/Manifest
@@ -1,3 +1,4 @@
DIST abseil-cpp-20200225.2.tar.gz 1679650 BLAKE2B bbadb2b86fd390f51322e687526c72a3b13caff6391974462a1146cc563616ce479330336a489a71e27b143e7cbea6695fc12c91fb721185a5116b3a6c5506b1 SHA512 75a607dee825e83c10dcd5e509515461f1b12c4aca861e4739ac4d41357b8e893dbfbe33873aa5c05463dde0891dedd7535af2ec59f173de29488e1b1321b335
DIST abseil-cpp-20200923.2.tar.gz 1783972 BLAKE2B 7ba01cab353de9bf34230e0efa567b1dc16680144579841a0fd127b95fb36cc8b63fc3c7da6a0a7c350c32b91955c6b6bb23a3ca52e50174a4dce5d3c1b9e936 SHA512 fdbb0f84265bc1d4f24aac0af6d0eb8cb603f801fc14d63ac1e9d3bab47703a8a2ff5f44a0a4d325819dbea50fc533d967e1bfd65004ec11ef35fadc44a2b855
+DIST abseil-cpp-20210324.0.tar.gz 1774094 BLAKE2B 2dc2ca1adcddbcf5d18a41dda407691bc5e5613c0eeed54879b803f78146c47c222337f496d7505424d1329e3c71826269d7f621c82aa9f0e104f5b8ed73bf30 SHA512 0817d6972047e0b2e7f9575fd558f0875ba3d14828609d6262149cbcef4b86f601595338e4ba597bd6fba28b77bea6f2993002377949bc6f506da0879f9f9c9d
DIST gtest-1.10.0_p20200702.tar.gz 866900 BLAKE2B c162d47868583ba270675abe5df935b8f4b9a9c00dbdc80dd88afa7f2b98266640b32b2ea5e8f9f6d6227196b5d2f79dbfda4e9585106224e814cc1503cf777d SHA512 715d887b59b47d4691c7c90ef0cf0ffc3d1e758e500263c76b50fd506e90a9d1c390af745933cfe3f55e1edac5d72dccedef3cb9a50b71a5b796424471a3017b
diff --git a/dev-cpp/abseil-cpp/abseil-cpp-20210324.0.ebuild b/dev-cpp/abseil-cpp/abseil-cpp-20210324.0.ebuild
new file mode 100644
index 00000000000..90be485e13a
--- /dev/null
+++ b/dev-cpp/abseil-cpp/abseil-cpp-20210324.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit cmake python-any-r1 toolchain-funcs
+
+# yes, it needs SOURCE, not just installed one
+GTEST_COMMIT="aee0f9d9b5b87796ee8a0ab26b7587ec30e8858e"
+GTEST_FILE="gtest-1.10.0_p20200702.tar.gz"
+
+DESCRIPTION="Abseil Common Libraries (C++), LTS Branch"
+HOMEPAGE="https://abseil.io"
+SRC_URI="https://github.com/abseil/abseil-cpp/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/google/googletest/archive/${GTEST_COMMIT}.tar.gz -> ${GTEST_FILE}"
+
+LICENSE="
+ Apache-2.0
+ test? ( BSD )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="cxx17 test"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? ( sys-libs/timezone-data )
+"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-20200923-arm_no_crypto.patch"
+)
+
+src_prepare() {
+ cmake_src_prepare
+
+ # un-hardcode abseil compiler flags
+ sed -i \
+ -e '/"-maes",/d' \
+ -e '/"-msse4.1",/d' \
+ -e '/"-mfpu=neon"/d' \
+ -e '/"-march=armv8-a+crypto"/d' \
+ absl/copts/copts.py || die
+
+ # now generate cmake files
+ absl/copts/generate_copts.py || die
+
+ sed -i 's/-Werror//g' \
+ "${WORKDIR}/googletest-${GTEST_COMMIT}"/googletest/cmake/internal_utils.cmake || die
+}
+
+src_configure() {
+ if use arm || use arm64; then
+ if [[ $($(tc-getCXX) ${CXXFLAGS} -E -P - <<<$'#if defined(__ARM_FEATURE_CRYPTO)\nHAVE_ARM_FEATURE_CRYPTO\n#endif') != *HAVE_ARM_FEATURE_CRYPTO* ]]; then
+ append-cxxflags -DABSL_ARCH_ARM_NO_CRYPTO
+ fi
+ fi
+
+ local mycmakeargs=(
+ -DABSL_ENABLE_INSTALL=TRUE
+ -DABSL_LOCAL_GOOGLETEST_DIR="${WORKDIR}/googletest-${GTEST_COMMIT}"
+ -DABSL_RUN_TESTS=$(usex test)
+ $(usex cxx17 -DCMAKE_CXX_STANDARD=17 '') # it has to be a useflag for some consumers
+ $(usex test -DBUILD_TESTING=ON '') #intentional usex
+ )
+ cmake_src_configure
+}
next reply other threads:[~2021-04-02 3:04 UTC|newest]
Thread overview: 111+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-04-02 3:04 Georgy Yakovlev [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-23 8:18 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/abseil-cpp/ Arthur Zamarin
2025-05-22 19:43 Sam James
2025-05-22 19:43 Sam James
2025-05-22 17:59 Arthur Zamarin
2025-05-22 17:59 Arthur Zamarin
2025-05-22 17:59 Arthur Zamarin
2025-04-11 9:49 Sam James
2025-04-05 0:42 Sam James
2025-04-05 0:42 Sam James
2025-01-24 4:05 Matt Turner
2024-12-09 10:25 Arthur Zamarin
2024-11-06 13:35 Sam James
2024-10-24 8:48 Arthur Zamarin
2024-10-23 7:53 Jakov Smolić
2024-10-23 5:40 Joonas Niilola
2024-10-23 5:40 Joonas Niilola
2024-10-04 9:07 Sam James
2024-09-09 17:14 Arthur Zamarin
2024-09-08 13:51 Sam James
2024-09-08 13:51 Sam James
2024-09-04 2:32 Yixun Lan
2024-09-02 7:29 Arthur Zamarin
2024-08-31 14:37 Arthur Zamarin
2024-08-31 14:37 Arthur Zamarin
2024-08-25 15:21 Fabian Groffen
2024-08-08 17:19 Arthur Zamarin
2024-07-24 16:56 Sam James
2024-07-24 16:56 Sam James
2024-06-15 8:13 Joonas Niilola
2024-06-13 4:10 Sam James
2024-06-13 2:58 Sam James
2024-06-13 1:56 Sam James
2024-05-27 13:24 Joonas Niilola
2023-12-12 13:39 Andreas Sturmlechner
2023-11-23 17:12 Sam James
2023-10-17 19:22 Sam James
2023-10-15 12:38 Sam James
2023-10-14 18:17 Arthur Zamarin
2023-10-14 16:52 Arthur Zamarin
2023-09-27 6:15 Sam James
2023-08-21 18:22 Sam James
2023-08-21 17:43 Sam James
2023-08-21 17:31 Sam James
2023-08-21 17:27 Sam James
2023-08-21 17:27 Sam James
2023-08-21 17:27 Sam James
2023-07-30 11:43 Sam James
2023-06-09 9:54 Sam James
2023-06-09 6:53 Arthur Zamarin
2023-06-02 16:13 Arthur Zamarin
2023-06-01 19:15 Arthur Zamarin
2023-04-18 18:00 Georgy Yakovlev
2023-04-18 11:16 Sam James
2023-04-02 13:24 Ben Kohler
2023-02-07 17:25 Andreas Sturmlechner
2022-12-25 21:24 Sam James
2022-12-25 21:24 Sam James
2022-12-25 20:06 Arthur Zamarin
2022-12-25 20:06 Arthur Zamarin
2022-12-25 19:57 Georgy Yakovlev
2022-12-25 19:57 Georgy Yakovlev
2022-12-25 19:57 Georgy Yakovlev
2022-12-25 19:57 Georgy Yakovlev
2022-12-25 19:54 Georgy Yakovlev
2022-12-25 19:46 Andreas Sturmlechner
2022-11-28 22:59 Georgy Yakovlev
2022-11-28 22:59 Georgy Yakovlev
2022-08-23 7:30 WANG Xuerui
2022-06-01 7:30 Sam James
2021-12-30 19:48 Arthur Zamarin
2021-12-26 17:15 Jakov Smolić
2021-12-26 17:15 Jakov Smolić
2021-12-26 8:05 Georgy Yakovlev
2021-12-26 7:54 Georgy Yakovlev
2021-12-26 7:21 Georgy Yakovlev
2021-12-20 12:09 Agostino Sarubbo
2021-12-20 9:20 Arthur Zamarin
2021-12-04 1:39 Sam James
2021-11-14 2:01 Georgy Yakovlev
2021-11-14 2:01 Georgy Yakovlev
2021-11-14 1:59 Georgy Yakovlev
2021-06-11 8:50 Agostino Sarubbo
2021-06-04 23:15 Georgy Yakovlev
2021-05-25 11:10 Sam James
2021-05-25 11:10 Sam James
2021-05-15 2:21 Sam James
2021-04-30 19:20 Georgy Yakovlev
2021-04-29 8:29 Georgy Yakovlev
2021-04-29 8:29 Georgy Yakovlev
2021-04-27 22:02 Sam James
2021-04-27 22:02 Sam James
2021-04-22 4:07 Georgy Yakovlev
2021-04-18 0:36 Georgy Yakovlev
2021-04-04 21:59 Georgy Yakovlev
2021-04-03 19:57 Georgy Yakovlev
2021-04-02 8:21 Georgy Yakovlev
2021-04-02 3:04 Georgy Yakovlev
2021-04-02 3:04 Georgy Yakovlev
2020-10-24 2:21 Georgy Yakovlev
2020-10-12 4:53 Georgy Yakovlev
2020-09-25 19:53 Georgy Yakovlev
2020-09-25 12:39 Georgy Yakovlev
2020-09-25 9:09 Georgy Yakovlev
2020-09-25 8:25 Georgy Yakovlev
2020-04-24 20:02 Georgy Yakovlev
2020-04-24 20:02 Georgy Yakovlev
2020-04-20 8:09 Georgy Yakovlev
2020-04-20 7:28 Georgy Yakovlev
2020-04-20 7:28 Georgy Yakovlev
2020-04-20 7:28 Georgy Yakovlev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1617332643.52e688d1d7bfe2bdff04069eeec217f0a6936551.gyakovlev@gentoo \
--to=gyakovlev@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox